function beamelem = subsasgn(beamelem,index,val)
%SUBSASGN - handles indexed assignments to objects
%
%   the first argument is the object, the second argument a structure array
%   the third one is the value
%
%   Usage:
%      beamelem = subsasgn(beamelem,index,val)
%
%   See also SUBSREF

beamelem=builtin('subsasgn',beamelem,index,val);
